# class PG::BasicTypeMapForQueries

Simple set of rules for type casting common Ruby types to PostgreSQL.

OIDs of supported type casts are not hard-coded in the sources, but are retrieved from the PostgreSQL's pg_type table in `PG::BasicTypeMapForQueries.new` .

Query params are type casted based on the class of the given value.

Higher level libraries will most likely not make use of this class, but use their own derivation of `PG::TypeMapByClass` or another set of rules to choose suitable encoders and decoders for the values to be sent.

Example:

    conn = PG::Connection.new
    # Assign a default ruleset for type casts of input and output values.
    conn.type_map_for_queries = PG::BasicTypeMapForQueries.new(conn)
    # Execute a query. The Integer param value is typecasted internally by PG::BinaryEncoder::Int8.
    # The format of the parameter is set to 1 (binary) and the OID of this parameter is set to 20 (int8).
    res = conn.exec_params( "SELECT $1", [5] )

### Constants

DEFAULT_ARRAY_TYPE_MAP
DEFAULT_TYPE_MAP

### Public Class Methods

new(connection) click to toggle source

    # File lib/pg/basic_type_mapping.rb, line 387
    def initialize(connection)
            @coder_maps = build_coder_maps(connection)

            populate_encoder_list
            @array_encoders_by_klass = array_encoders_by_klass
            @anyarray_encoder = coder_by_name(0, :encoder, '_any')
    end